#
# spec file for package rubygem-loofah
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-loofah
Version:        2.0.3
Release:        5.1
%define mod_name loofah
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/flavorjones/loofah
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Loofah is a general library for manipulating and transforming
License:        MIT
Group:          Development/Languages/Ruby

%description
Loofah is a general library for manipulating and transforming HTML/XML
documents and fragments. It's built on top of Nokogiri and libxml2, so
it's fast and has a nice API.
Loofah excels at HTML sanitization (XSS prevention). It includes some
nice HTML sanitizers, which are based on HTML5lib's whitelist, so it
most likely won't make your codes less secure. (These statements have
not been evaluated by Netexperts.)
ActiveRecord extensions for sanitization are available in the
`loofah-activerecord` gem (see
https://github.com/flavorjones/loofah-activerecord).

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.rdoc MIT-LICENSE.txt README.rdoc" \
  -f

%gem_packages

%changelog
* Tue Aug 18 2015 coolo@suse.com
- updated to version 2.0.3
  see installed CHANGELOG.rdoc
  == 2.0.3 / 2015-08-17
  Bug fixes:
  * Revert support for negative values in CSS properties due to slow performance. #90 (Related to #85.)
* Wed May  6 2015 coolo@suse.com
- updated to version 2.0.2
  see installed CHANGELOG.rdoc
  == 2.0.2 / 2015-05-05
  Bug fixes:
  * Fix error with `#to_text` when Loofah::Helpers hadn't been required. #75
  * Allow multi-word data attributes. #84 (Thanks, @jstorimer!)
  * Allow negative values in CSS properties. #85 (Thanks, @siddhartham!)
* Wed Nov 12 2014 coolo@suse.com
- updated to version 2.0.1
  Bug fixes:
  * Load RR correctly when running test files directly. (Thanks, @ktdreyer!)
  Notes:
  * Extracted HTML5::Scrub#scrub_css_attribute to accommodate the Rails integration work. (Thanks, @kaspth!)
* Mon Oct 13 2014 coolo@suse.com
- adapt to new rubygem packaging
* Sun May 18 2014 coolo@suse.com
- updated to version 2.0.0
  Compatibility notes:
  * ActionView helpers now must be required explicitly: `require "loofah/helpers"`
  * Support for Ruby 1.8.7 and prior has been dropped
  Enhancements:
  * HTML5 whitelist allows the following ...
  * tags: `article`, `aside`, `bdi`, `bdo`, `canvas`, `command`, `datalist`, `details`, `figcaption`, `figure`, `footer`, `header`, `mark`, `meter`, `nav`, `output`, `section`, `summary`, `time`
  * attributes: `data-*` (Thanks, Rafael Franca!)
  * URI attributes: `poster` and `preload`
  * Addition of the `:unprintable` scrubber to remove unprintable characters from text nodes. #65 (Thanks, Matt Swanson!)
  * `Loofah.fragment` accepts an optional encoding argument, compatible with `Nokogiri::HTML::DocumentFragment.parse`. #62 (Thanks, Ben Atkins!)
  * HTML5 sanitizers now remove attributes without values. (Thanks, Kasper Timm Hansen!)
  Bug fixes:
  * HTML5 sanitizers' CSS keyword check now actually works (broken in v2.0). Additional regression tests added. (Thanks, Kasper Timm Hansen!)
  * HTML5 sanitizers now allow negative arguments to CSS. #64 (Thanks, Jon Calhoun!)
* Mon Jul 30 2012 coolo@suse.com
- update to 1.2.1
  * Declaring encoding in html5/scrub.rb. Without this, use of the
    ruby -KU option would cause havoc. (#32)
* Thu Aug 25 2011 fcastelli@novell.com
- add 'Provides rubygem-loofah-1_2'
* Wed Aug 24 2011 fcastelli@novell.com
- upgrade to 1.2.0
* Thu Jul 21 2011 fcastelli@novell.com
- Upgrade to version 1.0.0
- Add provides loofah_1_0 required to build latest version of
  rubygem-feedzirra.
* Fri Jun 11 2010 mrueckert@suse.de
- additional changes from version 0.4.7
  * New methods Loofah::HTML::Document#to_text and
    Loofah::HTML::DocumentFragment#to_text do the right thing with
    whitespace. Note that these methods are significantly slower
    than #text. GH #12
  * Loofah::Elements::BLOCK_LEVEL contains a canonical list of
    HTML4 block-level4 elements.
  * Loofah::HTML::Document#text and
    Loofah::HTML::DocumentFragment#text will return unescaped HTML
    entities by passing :encode_special_chars => false.
- additional changes from version 0.4.4, 0.4.5, 0.4.6
  * Loofah::HTML::Document#text and
    Loofah::HTML::DocumentFragment#text now escape HTML entities.
  * Loofah::XssFoliate was not properly escaping HTML entities when
    implicitly scrubbing a string attribute. GH #17
- additional changes from version 0.4.3
  * All built-in scrubbers are accepted by
    ActiveRecord::Base.xss_foliate
  * Loofah::XssFoliate.xss_foliate_all_models replaces use of the
    constant LOOFAH_XSS_FOLIATE_ALL_MODELS
  * Modified documentation for bootstrapping XssFoliate in a Rails
    app, since the use of Bundler breaks the previously-documented
    method. To be safe, always use an initializer file.
- additional changes from version 0.4.2
  * Implemented Node#scrub! for scrubbing subtrees.
  * Implemented NodeSet#scrub! for scrubbing a set of subtrees.
  * Document.text now only serializes <body> contents
    (ignores <head>)
  * <head>, <html> and <body> added to the HTML5lib whitelist.
  * Supporting Rails apps that aren't loading ActiveRecord. GH #10
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Jan  7 2010 prusnak@suse.cz
- created package
